com.sun.jna.platform.mac

## Class XAttrUtil

- java.lang.Object
- - com.sun.jna.platform.mac.XAttrUtil

    public class XAttrUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`XAttrUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`protected static java.lang.String` `decodeString(java.nio.ByteBuffer bb)`
`protected static java.util.List<java.lang.String>` `decodeStringSequence(java.nio.ByteBuffer bb)`
`protected static Memory` `encodeString(java.lang.String s)`
`static java.lang.String` `getXAttr(java.lang.String path, java.lang.String name)`
`static java.util.List<java.lang.String>` `listXAttr(java.lang.String path)`
`static int` `removeXAttr(java.lang.String path, java.lang.String name)`
`static int` `setXAttr(java.lang.String path, java.lang.String name, java.lang.String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XAttrUtil

    public XAttrUtil()

### Method Detail

#### listXAttr

    public static java.util.List<java.lang.String> listXAttr(java.lang.String path)

#### getXAttr

    public static java.lang.String getXAttr(java.lang.String path,
                                            java.lang.String name)

#### setXAttr

    public static int setXAttr(java.lang.String path,
                               java.lang.String name,
                               java.lang.String value)

#### removeXAttr

    public static int removeXAttr(java.lang.String path,
                                  java.lang.String name)

#### encodeString

    protected static Memory encodeString(java.lang.String s)

#### decodeString

    protected static java.lang.String decodeString(java.nio.ByteBuffer bb)

#### decodeStringSequence

    protected static java.util.List<java.lang.String> decodeStringSequence(java.nio.ByteBuffer bb)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.